import fitz

class PDFCompressor:
    @staticmethod
    def compress_pdf(input_path, output_path):
        """
        压缩PDF文件
        :param input_path: 输入文件路径
        :param output_path: 输出文件路径
        """
        doc = fitz.open(input_path)
        try:
            doc.save(output_path, deflate=True, garbage=4)
        finally:
            doc.close()