import os

def ensure_dir(directory):
    """确保目录存在，如果不存在则创建"""
    if not os.path.exists(directory):
        os.makedirs(directory)

def get_output_path(input_path, new_ext):
    """根据输入文件路径生成输出文件路径"""
    base = os.path.splitext(input_path)[0]
    return f"{base}.{new_ext}"