import sys
from PyQt6.QtWidgets import QApplication
from ui.main_window import MainWindow
from ui.styles import MAIN_STYLE

def main():
    app = QApplication(sys.argv)
    app.setStyleSheet(MAIN_STYLE)
    window = MainWindow()
    window.show()
    sys.exit(app.exec())

if __name__ == "__main__":
    main()