MAIN_STYLE = """
QMainWindow {
    background-color: #f5f6fa;
}

QPushButton {
    background-color: #3498db;
    color: white;
    border: none;
    padding: 12px 24px;
    border-radius: 6px;
    font-size: 14px;
    font-weight: bold;
    margin: 8px;
    min-width: 200px;
}

QPushButton:hover {
    background-color: #2980b9;
    transition: background-color 0.3s;
}

QPushButton:pressed {
    background-color: #2471a3;
}

QLineEdit {
    padding: 10px;
    border: 2px solid #bdc3c7;
    border-radius: 6px;
    background-color: white;
    font-size: 14px;
    margin: 8px;
}

QLineEdit:focus {
    border-color: #3498db;
}

QTabWidget::pane {
    border: none;
    background-color: white;
    border-radius: 8px;
    margin-top: -1px;
}

QTabBar::tab {
    background-color: #ecf0f1;
    color: #34495e;
    padding: 12px 24px;
    margin-right: 2px;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    font-weight: bold;
}

QTabBar::tab:selected {
    background-color: white;
    color: #2980b9;
    border-bottom: 3px solid #3498db;
}

QTabBar::tab:hover:!selected {
    background-color: #bdc3c7;
}

QWidget {
    font-family: "Microsoft YaHei", "Segoe UI", sans-serif;
}

QLabel {
    color: #2c3e50;
    font-size: 14px;
    margin: 8px;
}
"""